--[[
		Hubwerk.lua
Mit diesem Script kann man die 
Heckhydraulik nur manuell heben/senken.

  @ Autor: ls-for-ever
  @ Datum: 09.08.2012
]]

Hubwerk = {};

function Hubwerk.prerequisitesPresent(specializations)
    return true;
end;

function Hubwerk:load(xmlFile)
	self.Unterlenker = Utils.indexToObject(self.components, getXMLString(xmlFile, "vehicle.Unterlenker#index"));
	
	self.showHelp = false;
end;
function Hubwerk:delete()
end;
function Hubwerk:mouseEvent(posX, posY, isDown, isUp, button)
end;
function Hubwerk:keyEvent(unicode, sym, modifier, isDown)
end;
function Hubwerk:update(dt)
	if self:getIsActiveForInput() then
		if InputBinding.isPressed(InputBinding.heben) then
			setRotation(self.Unterlenker, 30, 0, 0)
		end;
		if InputBinding.isPressed(InputBinding.senken) then
			setRotation(self.Unterlenker, 7, 0, 0)
		end;
		if InputBinding.hasEvent(InputBinding.Hilfemenu) then
			self.showHelp = not self.showHelp;
		end;
	end;
end;
function Hubwerk:updateTick(dt)
end;
function Hubwerk:draw()
	if not self.showHelp then
		renderText(0.72, 0.25, 0.02, "Taste Numpad 0: Info Einschalten");
	else
		-- Koordinaten sind aus der F930.lua - Author leider unbekannt
		renderText(0.72, 0.25, 0.02, "Taste Numpad 0: Info Abschalten");
		renderText(0.72, 0.86, 0.025, "- Fendt 310 LSA Info -");		
		renderText(0.72, 0.83, 0.02, "Taste Pos1: Rundumleuchte ein/aus");
		renderText(0.72, 0.81, 0.02, "Taste Numpad 5: Arbeitslichter an/aus");
		renderText(0.72, 0.78, 0.022, "Heckhydraulik");
		renderText(0.72, 0.74, 0.02, "Taste k: Heben");
		renderText(0.72, 0.72, 0.02, "Taste m: Senken");
		renderText(0.72, 0.66, 0.023, " by ls-for-ever");
	end;
end;
function Hubwerk:onLeave()
	self.showHelp = false;
end;
